[GE users] Problem compiling sge V62

goncalo goncalo at lip.pt
Thu Nov 13 13:03:32 GMT 2008


    [ The following text is in the "UTF-8" character set. ]
    [ Your display is set for the "ISO-8859-10" character set.  ]
    [ Some characters may be displayed incorrectly. ]

Hi Rayson...

After your suggestion, I succeeded to pass that specific issue, and  
I'm able to compile with the "-no-java" option.

Nevertheless, if I want to include java, I'm stuck with the following  
error message...


      [java]      [java] BUILD FAILED
      [java]      [java]  
/usr/local/sge/sgeV62/gridengine/source/libs/jgdi/build.xml:62: The  
following error occurred while executing this line:
      [java]      [java]  
/usr/local/sge/sgeV62/gridengine/source/libs/jgdi/build.xml:32: exec  
returned: 1
      [java]      [java]
      [java]      [java] Total time: 0 seconds
      [java]
      [java] BUILD FAILED
      [java]  
/usr/local/sge/sgeV62/gridengine/source/libs/jgdi/build.xml:356: Java  
returned: 1
      [java]
      [java] Total time: 2 seconds

BUILD FAILED
/usr/local/sge/sgeV62/gridengine/source/build.xml:75: The following  
error occurred while executing this line:
/usr/local/sge/sgeV62/gridengine/source/build.xml:19: Java returned: 1


Looking to /usr/local/sge/sgeV62/gridengine/source/libs/jgdi/build.xml...


     <target name="gensrc" depends="jni.init" if="isJavaBuildHost"
             description="Create a all generated source files">
         <echo>java.library.path: ${java.library.path}</echo>
         <java classname="org.apache.tools.ant.launch.Launcher"
               fork="true" failonerror="true">
             <jvmarg line="${sge.jvmargs}"/>
             <classpath>
                 <pathelement path="${java.class.path}"/>
             </classpath>
             <!-- <arg value="-v"/> -->
             <arg value="-Dsge.src.arch=${sge.src.arch}"/>
             <arg value="gensrc.forked"/>
         </java>
     </target>

I'm not able to understand what could be wrong. My first guess was  
that something was wrong with /usr/share/java/ant-launcher-1.7.1.jar  
but everything seems ok with it...

[root at ui02 source]# jar tvf /usr/share/java/ant-launcher-1.7.1.jar
      0 Tue Jul 15 17:45:16 WEST 2008 META-INF/
    156 Tue Jul 15 17:45:14 WEST 2008 META-INF/MANIFEST.MF
      0 Tue Jul 15 17:45:12 WEST 2008 org/
      0 Tue Jul 15 17:45:12 WEST 2008 org/apache/
      0 Tue Jul 15 17:45:14 WEST 2008 org/apache/tools/
      0 Tue Jul 15 17:45:16 WEST 2008 org/apache/tools/ant/
      0 Tue Jul 15 17:45:14 WEST 2008 org/apache/tools/ant/launch/
    212 Tue Jul 15 17:45:12 WEST 2008 org/apache/tools/ant/launch/AntMain.class
    393 Tue Jul 15 17:45:14 WEST 2008  
org/apache/tools/ant/launch/LaunchException.class
   7619 Tue Jul 15 17:45:14 WEST 2008  
org/apache/tools/ant/launch/Launcher.class
    945 Tue Jul 15 17:45:14 WEST 2008  
org/apache/tools/ant/launch/Locator$1.class
   9888 Tue Jul 15 17:45:14 WEST 2008 org/apache/tools/ant/launch/Locator.class

So... anymore guesses?

Thanks
Goncalo

Quoting rayson <rayrayson at gmail.com>:

> Open aimk in your editor, look for "-Werror" and remove it.
>
> The switch tells gcc to treat warnings as errors.
>
> Rayson
>
>
>
> On 11/12/08, goncalo <goncalo at lip.pt> wrote:
>> Hi All...
>>
>> I'm having problems compiling sge V62 from source in SL4. This is not
>> the first time I do this kind of work but the procedures I used to
>> compile sge V6.1u3 seem to have changed, and no longer work for V62. At
>> a given point of the compilation, it aborts with the following error:
>>
>> (...)
>> gcc -O3 -Wall -Werror -Wstrict-prototypes -D__GRIDENGINE_FD_SETSIZE=8192
>> -DLINUX -DLINUX86 -DLINUX86_26 -D_GNU_SOURCE -DGETHOSTBYNAME_R6
>> -DGETHOSTBYADDR_R8  -DHAS_IN_PORT_T -DLOAD_OPENSSL -I/include/
>> -DSGE_ARCH_STRING=lx26-x86 -DTARGET_32BIT  -DSPOOLING_dynamic -DSECURE
>> -I/usr/share/ssl/include -Wno-strict-aliasing -D_FILE_OFFSET_BITS=64
>> -DCOMPILE_DC -D__SGE_COMPILE_WITH_GETTEXT__  -D__SGE_NO_USERMAPPING__
>> -I../common -I../libs -I../libs/uti -I../libs/juti -I../libs/gdi
>> -I../libs/japi -I../libs/sgeobj -I../libs/cull -I../libs/rmon
>> -I../libs/comm -I../libs/comm/lists -I../libs/sched -I../libs/evc
>> -I../libs/evm -I../libs/mir -I../libs/lck -I../daemons/common
>> -I../daemons/qmaster -I../daemons/execd -I../daemons/schedd
>> -I../clients/common -I. -I/usr/java/jdk1.5.0_16/include
>> -I/usr/java/jdk1.5.0_16/include/linux -Wno-strict-prototypes -fPIC
>> -ULOAD_OPENSSL -c ../libs/comm/cl_ssl_framework.c -o
>> cl_ssl_framework_static.o
>> ../libs/comm/cl_ssl_framework.c: In function
>> `cl_com_ssl_build_symbol_table':
>> ../libs/comm/cl_ssl_framework.c:1861: warning: assignment from
>> incompatible pointer type
>> ../libs/comm/cl_ssl_framework.c:1883: warning: assignment from
>> incompatible pointer type
>> ../libs/comm/cl_ssl_framework.c:1884: warning: assignment from
>> incompatible pointer type
>> ../libs/comm/cl_ssl_framework.c:1885: warning: assignment from
>> incompatible pointer type
>> ../libs/comm/cl_ssl_framework.c:1886: warning: assignment from
>> incompatible pointer type
>> ../libs/comm/cl_ssl_framework.c:1887: warning: assignment from
>> incompatible pointer type
>> ../libs/comm/cl_ssl_framework.c:1890: warning: assignment from
>> incompatible pointer type
>> ../libs/comm/cl_ssl_framework.c:1893: warning: assignment from
>> incompatible pointer type
>> ../libs/comm/cl_ssl_framework.c:1896: warning: assignment from
>> incompatible pointer type
>> ../libs/comm/cl_ssl_framework.c:1897: warning: assignment from
>> incompatible pointer type
>> make: *** [cl_ssl_framework_static.o] Error 1
>>
>> It seems related to some missing ssl feature but I have the default ssl
>> packages offered by the  SL4 distribution installed:
>>
>>  [root at ui02 source]# rpm -qa | grep ssl
>> openssl-devel-0.9.7a-43.17.el4_6.1
>> xmlsec1-openssl-1.2.6-3
>> openssl-0.9.7a-43.17.el4_6.1
>>
>> Are these the right versions or I'm missing something?
>>
>> Another less important issue is that ./aimk has to be run with the
>> "-no-dump" because libcore.so doesn't exist.
>>
>> [root at ui02 source]# ./aimk
>> error: couldn't find  /usr/lib/libcore.so
>> error: please
>> error: (a) get you a libcore.so for lx26-x86 from
>> error: http://gridengine.sunsource.net/issues/show_bug.cgi?id=2552
>> error: update CORE_HOME in aimk.site or aimk.private accordingly
>> error: (b) use aimk option -no-dump to build without libcore.so
>>
>> I would set the defaults the other way around...
>>
>> Cheers
>> Gon?alo
>>
>> ------------------------------------------------------
>> http://gridengine.sunsource.net/ds/viewMessage.do?dsForumId=38&dsMessageId=88642
>>
>> To unsubscribe from this discussion, e-mail:   
>> [users-unsubscribe at gridengine.sunsource.net].
>>
>
> ------------------------------------------------------
> http://gridengine.sunsource.net/ds/viewMessage.do?dsForumId=38&dsMessageId=88643
>
> To unsubscribe from this discussion, e-mail:   
> [users-unsubscribe at gridengine.sunsource.net].
>
>

------------------------------------------------------
http://gridengine.sunsource.net/ds/viewMessage.do?dsForumId=38&dsMessageId=88676

To unsubscribe from this discussion, e-mail: [users-unsubscribe at gridengine.sunsource.net].



More information about the gridengine-users mailing list